import type {ILedBaseSearch} from "@/interface/page/led/ILedBaseSearch.ts";
import axiosInstance from "@/api/axios.ts";
import type {IAppBaseLed} from "@/model/table/IAppBaseLed.ts";

export default class LedApi {

    // 查询LED
    static queryLed(params: ILedBaseSearch) {
        return axiosInstance.post('/app/led/queryLed', params);
    };
    // 添加LED
    static addBaseLed(params: IAppBaseLed) {
        return axiosInstance.post('/app/led/addBaseLed', params);
    };
    // 修改LED
    static updateBaseLed(params: IAppBaseLed) {
        return axiosInstance.post('/app/led/updateBaseLed', params);
    };
    // 删除LED
    static deleteBaseLed(id: string) {
        return axiosInstance.delete('/app/led/deleteBaseLed/' + id);
    }
}